<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateAbProductTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('ab_product', function(Blueprint $table)
		{
			$table->bigInteger('id')->default(0);
			$table->integer('site_id')->default(0)->index('fk_pdt_set_idx');
			$table->bigInteger('date_orig')->nullable();
			$table->bigInteger('date_last')->nullable();
			$table->boolean('taxable')->nullable();
			$table->boolean('active')->nullable();
			$table->boolean('position')->nullable();
			$table->boolean('cart_multiple')->nullable();
			$table->binary('group_avail', 65535)->nullable();
			$table->binary('avail_category', 65535)->nullable();
			$table->boolean('price_type')->nullable();
			$table->binary('price_group', 65535)->nullable();
			$table->boolean('price_recurr_default')->nullable();
			$table->boolean('price_recurr_day')->nullable();
			$table->boolean('price_recurr_weekday')->nullable();
			$table->boolean('price_recurr_strict')->nullable();
			$table->string('prod_plugin_file', 128)->nullable();
			$table->binary('prod_plugin_data', 65535)->nullable();
			$table->string('accounting', 64)->nullable();
			$table->primary(['id','site_id']);
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('ab_product');
	}

}
